summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLucki2019-01-03 19:53:46 +0100
committerLucki2019-01-03 19:53:46 +0100
commit8e718d09a5a16a38647f3612a6ac6a053c4d0692 (patch)
treed5d9776f6ce6029c203f4a4c4e50e1acd15f0de2
parent3e1993b38ab75de004ad16bf997ce9157bb67f5c (diff)
downloadaur-8e718d09a5a16a38647f3612a6ac6a053c4d0692.tar.gz
Update to v0.9.24
-rw-r--r--.CHANGELOG29
-rw-r--r--.SRCINFO7
-rw-r--r--PKGBUILD44
3 files changed, 48 insertions, 32 deletions
diff --git a/.CHANGELOG b/.CHANGELOG
index 78154d514a1..af15a8ee690 100644
--- a/.CHANGELOG
+++ b/.CHANGELOG
@@ -1,6 +1,35 @@
Version history
===============
+0.9.24
+------
+
+2019-01-03
+
+Work around bug #372 (garbled exit markers): Removed alpha channel from
+data/images/goalmark.I.png. Arrow's white overlay is entirely opaque. Made
+overlay line thinner to compensate for the fully-opaque overlay. This should
+avoid #372 to trigger at all. Everything should recolor properly.
+
+Multiplayer directories: Sort authors with easier multiplayer maps.
+Easy means that it's easy to save lix against opponents that do nothing.
+Reason: New players click on the first-listed authors very often.
+This is not an ideal permanent solution, but we have needed something like
+this quickly for the Debian 10 release.
+
+New multiplayer maps by Flopsy: Cascade Squared (4p, 6p, 8p) and
+The Storeroom (6p, 8p).
+
+Fix bug with _order.X.txt files: When you go to a dir A with order file, then
+go to a different dir B without order file but with files named like those in
+A, the files in B are now sorted alphabetically, not wrongly by the order
+file from A.
+
+The options file ./user/options.sdl contains a comment explaining that
+screenMode 0 is windowed, 1 is software fullscreen, 2 is hardware fullscreen.
+
+
+
0.9.23
------
diff --git a/.SRCINFO b/.SRCINFO
index 42409b8b16f..23d181f452a 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = lix
pkgdesc = An action-puzzle game inspired by Lemmings
- pkgver = 0.9.23
+ pkgver = 0.9.24
pkgrel = 1
url = http://www.lixgame.com/
changelog = .CHANGELOG
@@ -8,12 +8,13 @@ pkgbase = lix
arch = x86_64
license = custom:CC0
makedepends = git
- makedepends = dmd
+ makedepends = ldc
makedepends = dub
depends = allegro
depends = enet
depends = hicolor-icon-theme
- source = lix::git+https://github.com/SimonN/LixD.git#tag=v0.9.23
+ depends = liblphobos
+ source = lix::git+https://github.com/SimonN/LixD.git#tag=v0.9.24
source = lix-music-1.zip::http://www.lixgame.com/dow/lix-music.zip
source = lix.desktop
source = allegro::git+https://github.com/SiegeLord/DAllegro5.git#tag=v4.0.4+5.2.0
diff --git a/PKGBUILD b/PKGBUILD
index dce69e2bf65..12cbc3c1fc0 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,20 +2,20 @@
# Contributor: Carl Reinke <mindless2112 gmail com>
pkgname=lix
-pkgver=0.9.23
+pkgver=0.9.24
pkgrel=1
changelog=.CHANGELOG
source=("${pkgname}::git+https://github.com/SimonN/LixD.git#tag=v${pkgver}")
sha512sums=('SKIP')
_pkgname=${pkgname}
-# template start; name=lix; version=1.3;
+# template start; name=lix; version=1.4;
pkgdesc="An action-puzzle game inspired by Lemmings"
arch=('i686' 'x86_64')
url="http://www.lixgame.com/"
license=('custom:CC0')
-depends=('allegro' 'enet' 'hicolor-icon-theme')
-makedepends=('git' 'dmd' 'dub')
+depends=('allegro' 'enet' 'hicolor-icon-theme' 'liblphobos')
+makedepends=('git' 'ldc' 'dub')
_dubv=( "4.0.4+5.2.0" # allegro
"0.7.1" # bolts
"4.1.0" # derelict-enet
@@ -63,7 +63,7 @@ sha512sums+=( 'SKIP'
'SKIP'
)
-build()
+_build()
{
cd "${srcdir}/${_pkgname}" || exit
_r=0
@@ -71,9 +71,8 @@ build()
# add local dependencies to search path
dub add-path "${srcdir}"
- # force FHS compatibility with '-b releaseXDG'
# ensure with --cache=local dub stays outside the users home directory
- dub build -f -b releaseXDG --cache=local || _r="${?}"
+ dub $@ --cache=local || _r="$?"
# remove local dependencies from search path so dub won't find them
# later again
@@ -90,31 +89,18 @@ build()
fi
}
-check()
+build()
{
cd "${srcdir}/${_pkgname}" || exit
- _r=0
-
- # add local dependencies to search path
- dub add-path "${srcdir}"
-
- # run test suite
- # ensure with --cache=local dub stays outside the users home directory
- dub test --cache=local || _r="${?}"
-
- # remove local dependencies from search path so dub won't find them
- # later again
- dub remove-path "${srcdir}"
- # removes any cached metadata like the list of available packages
- # and their latest version
- dub clean-caches
+ # force FHS compatibility with 'releaseXDG'
+ _build build --force --build=releaseXDG
+}
- if [[ "${_r}" != 0 ]]
- then
- # dub failed so we also fail after we removed the local dependencies
- return "${_r}"
- fi
+check()
+{
+ cd "${srcdir}/${_pkgname}" || exit
+ _build test --parallel
}
package()
@@ -149,7 +135,7 @@ package()
`# SRCFILE:` \
"doc/lix.6" \
`# DSTFILE:` \
- "${pkgdir}/usr/share/man/man6/lix.6.gz"
+ "${pkgdir}/usr/share/man/man6/lix.6"
# install binary
install -Dm755 \